RouterHttpServer (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, class: RouterHttpServer

Package org.apache.hadoop.hdfs.server.federation.router

# Class RouterHttpServer

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.hdfs.server.federation.router.RouterHttpServer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.service.Service`

public class RouterHttpServer extends org.apache.hadoop.service.AbstractService
Web interface for the `Router`. It exposes the Web UI and the WebHDFS methods from `RouterWebHdfsMethods`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `NAMENODE_ATTRIBUTE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterHttpServer(Router router)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetSocketAddress`
  `getHttpAddress()`
  `InetSocketAddress`
  `getHttpsAddress()`
  `static Router`
  `getRouterFromContext(javax.servlet.ServletContext context)`
  `protected void`
  `serviceInit(org.apache.hadoop.conf.Configuration configuration)`
  `protected void`
  `serviceStart()`
  `protected void`
  `serviceStop()`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMENODE_ATTRIBUTE_KEY

    protected static final String NAMENODE_ATTRIBUTE_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RouterHttpServer

    public RouterHttpServer(Router router)

- ## Method Details

  - ### serviceInit

    protected void serviceInit(org.apache.hadoop.conf.Configuration configuration) throws Exception
    Overrides:
      `serviceInit` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### serviceStart

    protected void serviceStart() throws Exception
    Overrides:
      `serviceStart` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### serviceStop

    protected void serviceStop() throws Exception
    Overrides:
      `serviceStop` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### getHttpAddress

    public InetSocketAddress getHttpAddress()

  - ### getHttpsAddress

    public InetSocketAddress getHttpsAddress()

  - ### getRouterFromContext

    public static Router getRouterFromContext(javax.servlet.ServletContext context)